| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions

# Tp::ChannelFactory::Constructor Struct Reference

`#include </home/andrunko/work/telepathy/telepathy-qt4/TelepathyQt4/channel-factory.h>`

Inherits Tp::RefCounted.

Inherited by Tp::ChannelFactory::SubclassCtor< Subclass >.

List of all members.

## Public Member Functions

- virtual ~Constructor ()
- virtual ChannelPtr construct (const ConnectionPtr &conn, const QString &objectPath, const QVariantMap &immutableProperties) const =0

## Constructor & Destructor Documentation

virtual Tp::ChannelFactory::Constructor::~Constructor | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual ChannelPtr Tp::ChannelFactory::Constructor::construct | ( | const ConnectionPtr & | conn,
|  | const QString & | objectPath,
|  | const QVariantMap & | immutableProperties |
| ) |  |  | const`[pure virtual]`

Implemented in Tp::ChannelFactory::SubclassCtor< Subclass >.